summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKrzysztof Pawlik <none@none>2012-03-03 11:03:30 +0100
committerKrzysztof Pawlik <none@none>2012-03-03 11:03:30 +0100
commit2e4beca59ccb101db4aac170a922c4d9d0239a78 (patch)
tree8293e483a342ab0b12fbeefd2cf08d95de6c12d8
parentAllow specifying target directory for script installation with default value ... (diff)
downloadnelchael-2e4beca59ccb101db4aac170a922c4d9d0239a78.tar.gz
nelchael-2e4beca59ccb101db4aac170a922c4d9d0239a78.tar.bz2
nelchael-2e4beca59ccb101db4aac170a922c4d9d0239a78.zip
Rename PACKAGE_SPECIFIC_S.
-rw-r--r--eclass/python-distutils-ng.eclass8
1 files changed, 4 insertions, 4 deletions
diff --git a/eclass/python-distutils-ng.eclass b/eclass/python-distutils-ng.eclass
index a001aa6..ca6eaa8 100644
--- a/eclass/python-distutils-ng.eclass
+++ b/eclass/python-distutils-ng.eclass
@@ -118,7 +118,7 @@ for impl in ${PYTHON_COMPAT}; do
fi
done
-PACKAGE_SPECIFIC_S="${S#${WORKDIR}/}"
+_PACKAGE_SPECIFIC_S="${S#${WORKDIR}/}"
# @FUNCTION: _python-distutils-ng_run_for_impl
# @USAGE: implementation command_to_run
@@ -130,7 +130,7 @@ _python-distutils-ng_run_for_impl() {
local impl="${1}"
local command="${2}"
- S="${WORKDIR}/impl_${impl}/${PACKAGE_SPECIFIC_S}"
+ S="${WORKDIR}/impl_${impl}/${_PACKAGE_SPECIFIC_S}"
PYTHON="$(_python-distutils-ng_get_binary_for_implementation "${impl}")"
EPYTHON="${impl/_/.}"
@@ -307,7 +307,7 @@ python-distutils-ng_src_prepare() {
einfo "Creating copy for ${impl} in ${WORKDIR}/impl_${impl}"
mkdir -p "${WORKDIR}/impl_${impl}" || die
- cp -pr "${S}" "${WORKDIR}/impl_${impl}/${PACKAGE_SPECIFIC_S}" || die
+ cp -pr "${S}" "${WORKDIR}/impl_${impl}/${_PACKAGE_SPECIFIC_S}" || die
done
# Run python_prepare for each implementation:
@@ -357,7 +357,7 @@ python-distutils-ng_src_install() {
_python-distutils-ng_default_distutils_install
fi
- S="${WORKDIR}/${PACKAGE_SPECIFIC_S}"
+ S="${WORKDIR}/${_PACKAGE_SPECIFIC_S}"
if type python_install_all &> /dev/null; then
einfo "Running python_install_all in ${S} for all"
python_install_all